stages:
  - staging1
  - trigger
  - staging2

Job_1:
  stage: staging1
  script:  |
    echo "this runs on Job1 & staging1"
    echo "ENVNAME = $ENVNAME"
    
          
child_1:
  stage: trigger
  trigger:
    project: https://gitlab.com/bhavani.subramani89/test
    #strategy: depend
 
Job_2:
  stage: staging2
  script: |
    echo "this runs on Job_2 & staging2"
  needs:
  - project: https://gitlab.com/bhavani.subramani89/test
    job: art_1
    ref: master
    artifacts: true
  - job: child_1              